Bug 975503 - the iso repo publish section does not have a status command
the iso repo publish section does not have a status command
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
low Severity low
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 11:35 EDT by Jeremy Cline
Modified: 2013-12-09 09:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2013-06-18 11:35:38 EDT
Description of problem: when 'pulp-admin iso repo publish run --repo-id=example_repo --bg' is used, the user is told they can check the status of the publish operation with the status command, but the command does not exist. 

[jeremy@jcline ~]$ pulp-admin iso repo publish
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run or view the status of publish tasks

Available Commands:
  run - triggers an immediate publish of a repository


Version-Release number of selected component (if applicable): pulp-builtins-admin-extensions-2.2.0-0.4.beta.fc18.noarch


How reproducible:


Steps to Reproduce:
1. Create and sync some iso repository
2. pulp-admin iso repo publish run --repo-id=your_repo_name --bg
3. pulp-admin iso repo publish status

Actual results: The command does not exist


Expected results: The status of the publish task is shown.


Additional info:
Comment 1 Michael Hrivnak 2013-06-21 11:52:25 EDT
change the description, don't worry about adding a status command.
Comment 3 Barnaby Court 2013-10-08 10:49:57 EDT
It was actually simpler to add the status command to the ISO repo publish.
Comment 4 Jeff Ortel 2013-10-11 11:25:49 EDT
build: 2.3.0-0.18.beta
Comment 5 Preethi Thomas 2013-10-15 14:35:38 EDT
verified
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.20.beta.el6.noarch
[root@pulp-v2-server ~]# 


[root@pulp-v2-server ~]#  pulp-admin iso repo publish
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run publish tasks

Available Commands:
  run    - triggers an immediate publish of a repository
  status - displays the status of a repository's publish tasks
[root@pulp-v2-server ~]#  pulp-admin iso repo publish status
Command: status
Description: displays the status of a repository's publish tasks

Available Arguments:

  --repo-id - (required) unique identifier; only alphanumeric, ., -, and _
              allowed
Comment 6 Preethi Thomas 2013-12-09 09:31:08 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.